Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA.portable
Interface BoxedValueHelper

All Known Implementing Classes:
  StringValueHelper, WStringValueHelper

    public interface BoxedValueHelper

Method Summary
`String` | `get_id()`
`Serializable` | `read_value(InputStream is)`
`void` | `write_value(OutputStream os, Serializable value)`

Method Detail

### read_value

    Serializable read_value(InputStream is)

### write_value

    void write_value(OutputStream os,
                     Serializable value)

### get_id

    String get_id()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.